LineMap (Java SE 11 & JDK 11 )
Keywords: jdk.nashorn.api.tree.LineMap interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface LineMap

-     @Deprecated(since="11",
                  forRemoval=true)
      public interface LineMap

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  Provides methods to convert between character positions and line numbers for a compilation unit.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getColumnNumber​(long pos)` | Deprecated, for removal: This API element is subject to removal in a future version. Find the column for a character position.
    `long` | `getLineNumber​(long pos)` | Deprecated, for removal: This API element is subject to removal in a future version. Find the line containing a position; a line termination character is on the line it terminates.

- - ### Method Detail

    - #### getLineNumber

          long getLineNumber​(long pos)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Find the line containing a position; a line termination character is on the line it terminates.
      Parameters:
        `pos` - character offset of the position
      Returns:
        the line number of pos (first line is 1)

    - #### getColumnNumber

          long getColumnNumber​(long pos)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Find the column for a character position. Tab characters preceding the position on the same line will be expanded when calculating the column number.
      Parameters:
        `pos` - character offset of the position
      Returns:
        the tab-expanded column number of pos (first column is 1)